(
SynthDef("sine_20", {
	arg freq = 20, busOut = 1;
	Out.ar(busOut, SinOsc.ar(freq, 0, 1));
	}).send(s);

SynthDef("sine_30", {
	arg freq = 30, busOut = 1;
	Out.ar(busOut, SinOsc.ar(freq, 0, 1));
	}).send(s);

SynthDef("sine_40", {
	arg freq = 40, busOut = 1;
	Out.ar(busOut, SinOsc.ar(freq, 0, 1));
	}).send(s);

SynthDef("sine_50", {
	arg freq = 50, busOut = 1;
	Out.ar(busOut, SinOsc.ar(freq, 0, 1));
	}).send(s);

SynthDef("sine_60", {
	arg freq = 60, busOut = 1;
	Out.ar(busOut, SinOsc.ar(freq, 0, 1));
	}).send(s);

SynthDef("click", {
	arg busOut = 1;
	Out.ar(busOut,Impulse.ar(1,0,1));
	}).send(s);

SynthDef("dust_1", {
	arg busOut = 1;
	Out.ar(busOut,Dust.ar(1));
	}).send(s);

SynthDef("dust_5", {
	arg busOut = 1;
	Out.ar(busOut,Dust.ar(5));
	}).send(s);

SynthDef("dust_10", {
	arg busOut = 1;
	Out.ar(busOut,Dust.ar(10));
	}).send(s);

SynthDef("feedback", {
	arg busIn, busOut;
	Out.ar(busOut, InFeedback.ar(busIn));
	}).send(s);

SynthDef("edge", {
	arg buffer, busIn, busOut, maxDelayTime = 1, delayTime = 0.5, mod = 4;
	var offset, in, out;
	in = In.ar(busIn);
	out = BufDelayN.ar(buffer, in % mod, delayTime, 1, 0);
	Out.ar(busOut, out);
	}).send(s);

SynthDef("input", {
	arg busIn, busOut, mod = 4;
	var offset, in, out;
	in = In.ar(busIn);
	out = ((in / 2.0 + 0.5) * mod).floor % mod;
	Out.ar(busOut, out);
	}).send(s);

SynthDef("output", {
	arg busIn, busOut, mod = 2;
	var offset, in, out;
	offset = 10;
	in = In.ar(busIn);
	out = ((in % mod) / (mod-1.0) - 0.5) * 2;
	Out.ar(busOut, out);
	}).send(s);

n = NetAddr("127.0.0.1", 57151);
n.sendMsg("/addSynthDefs",
	"sine_20",
	"sine_30",
	"sine_40",
	"sine_50",
	"sine_60",
	"click",
	"dust_1",
	"dust_5",
	"dust_10",
);
)
